POST api/poolDepartmentItemapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
PoolDepartmentItemViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| date | date |
Required |
|
| active | boolean |
Required |
|
| department_item_id | globally unique identifier |
Required |
|
| id | globally unique identifier |
None. |
|
| quantity | integer |
Required |
Request Formats
application/json, text/json
Sample:
{
"date": "2026-09-27T20:31:29.6114449+00:00",
"active": true,
"department_item_id": "7685dfb0-d6e7-4a08-a6cb-78887921f8e4",
"id": "e6f42337-15b0-4e7f-b28c-46cdd32768d9",
"quantity": 5
}
application/xml, text/xml
Sample:
<pool_department_item xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <date>2026-09-27T20:31:29.6114449+00:00</date> <department_item_id>7685dfb0-d6e7-4a08-a6cb-78887921f8e4</department_item_id> <id>e6f42337-15b0-4e7f-b28c-46cdd32768d9</id> <quantity>5</quantity> </pool_department_item>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"b3806db2-b4e9-4619-8fb4-c3c0adf88dde"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">b3806db2-b4e9-4619-8fb4-c3c0adf88dde</guid>